Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Debian plugin now pipes which stderr to stdout

The debian plugin calls which to determine whether aptitude & sudo are
installed.  However, if these are not installed then the error output
from which will be output.  Since this isn't really an error condition,
this commit updates the which calls to pipe stderr to stdout, thus
hiding the error messages.
  • Loading branch information...
commit d3f6507a2e432efe48a3b8ac8f45c32e7d2ab656 1 parent d05b201
@obmarg authored
Showing with 2 additions and 2 deletions.
  1. +2 −2 plugins/debian/debian.plugin.zsh
View
4 plugins/debian/debian.plugin.zsh
@@ -6,14 +6,14 @@
# Use aptitude if installed, or apt-get if not.
# You can just set apt_pref='apt-get' to override it.
-if [[ -e $( which aptitude ) ]]; then
+if [[ -e $( which aptitude 2>&1 ) ]]; then
apt_pref='aptitude'
else
apt_pref='apt-get'
fi
# Use sudo by default if it's installed
-if [[ -e $( which sudo ) ]]; then
+if [[ -e $( which sudo 2>&1 ) ]]; then
use_sudo=1
fi
Please sign in to comment.
Something went wrong with that request. Please try again.